Ubuntu 18.04 OpenSSL Cryptographic Module

Certificate details

Certificate ID #3980
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 12.07.2021 , 21.09.2021 , 18.10.2021 , 23.11.2022
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. The module generates keys whose strengths are modified by available entropy
Exceptions
  • Physical Security: N/A
Description OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.
Tested configurations
  • Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5-2620v3 with PAA
  • Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5-2620v3 without PAA (single-user mode)
Vendor Canonical Ltd. http://www.canonical.com
Lab atsec information security corporation
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES-128, AES-192, AES-256, CAST, CAST5, RC2, RC4, DES, Triple-DES, TDES, TDEA, ChaCha20, Poly1305, Blowfish, Camellia, ARIA, SM4, SEED, HMAC, HMAC-SHA-256, CMAC
Asymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DH, DSA
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, SHA3, SHAKE128, SHAKE256, Blake2, MD4, MD5, PBKDF2
Schemes
MAC, Key Exchange, Key Agreement
Protocols
SSH, SSLv2.0, SSL v3.0, TLS, TLS v1.0, TLS v1.3, TLSv1.2, TLSv1.0, TLSv1.3, DTLS, IKE, IKEv2
Randomness
PRNG, DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-224, P-256, P-384, P-521, P-192, B-233, B-283, B-409, B-571, K-283, K-409, K-571, K-163, K-233, B-163
Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTS
TLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA

JavaCard API constants
SM2
Trusted Execution Environments
SSC

Security level
Level 1, level 1
Side-channel analysis
Timing Attacks, timing attacks, Timing Attack

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3980,
  "dgst": "d2ee474d84892ab0",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "AES#A833",
        "DRBG#A818",
        "DSA#A823",
        "SHA-3#A814",
        "CVL#A822",
        "#A815",
        "AES#A828",
        "RSA#A822",
        "KTS#A821",
        "#A823",
        "#A827",
        "AES#A817",
        "#A829",
        "#A818",
        "#A834",
        "HMAC#A822",
        "AES#A827",
        "#A826",
        "DSA#A824",
        "#A814",
        "KAS#A822",
        "SHS#A823",
        "AES#A831",
        "HMAC#A814",
        "KTS#A824",
        "#A819",
        "#A821",
        "SHA-3#A816",
        "AES#A826",
        "AES#A825",
        "DRBG#A817",
        "RSA#A823",
        "#A824",
        "CVL#A821",
        "#A830",
        "RSA#A824",
        "ECDSA#A821",
        "#A831",
        "#A825",
        "AES#A829",
        "RSA#A821",
        "KTS#A823",
        "#A828",
        "AES#A818",
        "CVL#A824",
        "KTS#A820",
        "SHA-3#A815",
        "CVL#A823",
        "AES#A832",
        "DSA#A822",
        "KAS#A834",
        "SHS#A822",
        "KTS#A822",
        "ECDSA#A822",
        "Triple-DES#A820",
        "DSA#A821",
        "AES#A830",
        "HMAC#A815",
        "ECDSA#A824",
        "KAS#A821",
        "KAS#A823",
        "ECDSA#A823",
        "#A817",
        "AES#A819",
        "HMAC#A821",
        "KAS#A824",
        "SHS#A821",
        "#A833",
        "DRBG#A819",
        "HMAC#A823",
        "SHS#A824",
        "#A816",
        "#A820",
        "HMAC#A816",
        "#A832",
        "#A822",
        "HMAC#A824"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "18.04"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 4
          },
          "ECDSA": {
            "ECDSA": 26
          }
        },
        "FF": {
          "DH": {
            "DH": 3,
            "Diffie-Hellman": 40
          },
          "DSA": {
            "DSA": 42
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 8
        },
        "CCM": {
          "CCM": 5
        },
        "CFB": {
          "CFB": 1
        },
        "CTR": {
          "CTR": 2
        },
        "ECB": {
          "ECB": 8
        },
        "GCM": {
          "GCM": 12
        },
        "OFB": {
          "OFB": 4
        },
        "XTS": {
          "XTS": 7
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 75
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 4,
          "IKEv2": 1
        },
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 2
          },
          "SSL": {
            "SSL v3.0": 1,
            "SSLv2.0": 1
          },
          "TLS": {
            "TLS": 66,
            "TLS v1.0": 2,
            "TLS v1.3": 1,
            "TLSv1.0": 1,
            "TLSv1.2": 2,
            "TLSv1.3": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 5
        },
        "KEX": {
          "Key Exchange": 1
        },
        "MAC": {
          "MAC": 11
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "B-163": 2,
          "B-233": 4,
          "B-283": 4,
          "B-409": 4,
          "B-571": 4,
          "K-163": 2,
          "K-233": 2,
          "K-283": 4,
          "K-409": 4,
          "K-571": 4,
          "P-192": 4,
          "P-224": 7,
          "P-256": 12,
          "P-384": 8,
          "P-521": 8
        }
      },
      "eval_facility": {
        "atsec": {
          "atsec": 49
        }
      },
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES CMAC 128": 1,
          "AES GCM 128": 1,
          "AES-128": 1,
          "AES-192": 1,
          "AES-256": 2,
          "HMAC SHA-1": 2,
          "HMAC-SHA-256": 2,
          "PKCS#1": 6,
          "SHA-1": 17,
          "SHA-224": 10,
          "SHA-256": 26,
          "SHA-3": 2,
          "SHA-384": 16,
          "SHA-512": 12,
          "SHA-512 1024": 2,
          "SHA-512 160": 1,
          "SHA-512 2048": 2,
          "SHA3": 3,
          "SHA3-224": 6,
          "SHA3-256": 8,
          "SHA3-384": 7,
          "SHA3-512": 5,
          "SHA3-512 1024": 1,
          "SHA3-512 2048": 1,
          "SHA3-512 224": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 2,
          "level 1": 3
        }
      },
      "hash_function": {
        "BLAKE": {
          "Blake2": 2
        },
        "MD": {
          "MD4": {
            "MD4": 2
          },
          "MD5": {
            "MD5": 7
          }
        },
        "PBKDF": {
          "PBKDF2": 3
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 17
          },
          "SHA2": {
            "SHA-224": 15,
            "SHA-256": 23,
            "SHA-384": 16,
            "SHA-512": 17
          },
          "SHA3": {
            "SHA-3": 2,
            "SHA3": 3,
            "SHA3-224": 6,
            "SHA3-256": 8,
            "SHA3-384": 7,
            "SHA3-512": 8
          }
        },
        "SHAKE": {
          "SHAKE128": 1,
          "SHAKE256": 1
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {
        "curves": {
          "SM2": 3
        }
      },
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 32,
          "PRNG": 1
        },
        "RNG": {
          "RNG": 1
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "Timing Attack": 1,
          "Timing Attacks": 2,
          "timing attacks": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 59,
          "FIPS 186-4": 4,
          "FIPS 198-1": 4,
          "FIPS PUB 140-2": 2,
          "FIPS140-2": 1,
          "FIPS180-4": 9,
          "FIPS186-4": 15,
          "FIPS197": 2,
          "FIPS198-1": 3,
          "FIPS202": 6
        },
        "NIST": {
          "SP 800-56A": 1,
          "SP 800-57": 1,
          "SP 800-90A": 1
        },
        "PKCS": {
          "PKCS#1": 3
        },
        "RFC": {
          "RFC 3526": 1,
          "RFC 7919": 2,
          "RFC2246": 5,
          "RFC3268": 7,
          "RFC3526": 2,
          "RFC4253": 1,
          "RFC4279": 10,
          "RFC4346": 2,
          "RFC4492": 1,
          "RFC5116": 5,
          "RFC5246": 8,
          "RFC5288": 8,
          "RFC5487": 13,
          "RFC5489": 6,
          "RFC6655": 13,
          "RFC7251": 5,
          "RFC7296": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 70,
            "AES-128": 1,
            "AES-192": 1,
            "AES-256": 2
          },
          "CAST": {
            "CAST": 2,
            "CAST5": 2
          },
          "RC": {
            "RC2": 2,
            "RC4": 2
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 1,
            "TDES": 2,
            "Triple-DES": 36
          },
          "DES": {
            "DES": 6
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 7,
            "HMAC": 26,
            "HMAC-SHA-256": 1
          }
        },
        "djb": {
          "ChaCha": {
            "ChaCha20": 2
          },
          "Poly": {
            "Poly1305": 2
          }
        },
        "miscellaneous": {
          "ARIA": {
            "ARIA": 2
          },
          "Blowfish": {
            "Blowfish": 2
          },
          "Camellia": {
            "Camellia": 2
          },
          "SEED": {
            "SEED": 2
          },
          "SM4": {
            "SM4": 2
          }
        }
      },
      "tee_name": {
        "IBM": {
          "SSC": 2
        }
      },
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
          "TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_PSK_WITH_AES_128_CBC_SHA": 1,
          "TLS_PSK_WITH_AES_256_CBC_SHA": 1,
          "TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_256_GCM_SHA384": 1
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "RSA#A824",
        "AES#A833",
        "ECDSA#A823",
        "DRBG#A818",
        "HMAC#A822",
        "ECDSA#A821",
        "AES#A827",
        "AES#A819",
        "DSA#A824",
        "DSA#A823",
        "SHA-3#A814",
        "AES#A829",
        "HMAC#A821",
        "KAS#A824",
        "RSA#A821",
        "KAS#A822",
        "KTS#A823",
        "AES#A818",
        "SHS#A821",
        "CVL#A824",
        "KTS#A820",
        "SHS#A823",
        "SHA-3#A815",
        "CVL#A823",
        "AES#A832",
        "CVL#A822",
        "AES#A831",
        "DRBG#A819",
        "HMAC#A823",
        "SHS#A824",
        "HMAC#A814",
        "DSA#A822",
        "KAS#A834",
        "KTS#A824",
        "SHS#A822",
        "AES#A828",
        "KTS#A822",
        "ECDSA#A822",
        "RSA#A822",
        "KTS#A821",
        "SHA-3#A816",
        "Triple-DES#A820",
        "HMAC#A816",
        "AES#A826",
        "AES#A830",
        "DSA#A821",
        "AES#A825",
        "DRBG#A817",
        "ECDSA#A824",
        "HMAC#A815",
        "RSA#A823",
        "KAS#A821",
        "KAS#A823",
        "AES#A817",
        "CVL#A821",
        "HMAC#A824"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#A834",
        "#A817",
        "#A826",
        "#A814",
        "#A831",
        "#A825",
        "#A828",
        "#A833",
        "#A815",
        "#A816",
        "#A819",
        "#A821",
        "#A820",
        "#A832",
        "#A823",
        "#A827",
        "#A829",
        "#A824",
        "#A818",
        "#A822",
        "#A830"
      ]
    },
    "policy_metadata": {
      "/Author": "Alejandro Fabio Masino",
      "/CreationDate": "D:20221122171120+00\u002700\u0027",
      "/Creator": "Microsoft Word",
      "/ModDate": "D:20221122171120+00\u002700\u0027",
      "/Title": "FIPS 140-2 Non-Proprietary Security Policy",
      "pdf_file_size_bytes": 699936,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.ietf.org/rfc/rfc2246.txt",
          "https://tools.ietf.org/html/rfc7251.txt",
          "http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
          "https://www.ietf.org/rfc/rfc5116.txt",
          "http://www.ietf.org/rfc/rfc3447.txt",
          "http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
          "http://man7.org/linux/man-pages/",
          "https://tools.ietf.org/html/rfc5487.txt",
          "http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
          "http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
          "http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
          "https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
          "http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
          "http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
          "https://www.ietf.org/rfc/rfc4346.txt",
          "https://www.ietf.org/rfc/rfc4492.txt",
          "https://tools.ietf.org/html/rfc5288.txt",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
          "https://www.ietf.org/rfc/rfc4279.txt",
          "https://www.ietf.org/rfc/rfc3268.txt",
          "https://tools.ietf.org/html/rfc5489.txt",
          "http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
          "http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
          "https://www.ubuntu.com/contact-us",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
          "https://tools.ietf.org/html/rfc6655.txt",
          "https://tools.ietf.org/html/rfc5246.txt",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 47
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "998349bc528dde19349540117cdcd73fcfa2880bb55aa9ecd2467fddb50509a7",
      "source_hash": "89cdfad62f61cc42848dc4d1373d8d37ad94c2b7628654b01365d7c055c21600",
      "txt_hash": "2aaa42f32e5df2ac94f4cc903a16efa60a7e438f85fe41e4d3d0add82fb1940a"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. The module generates keys whose strengths are modified by available entropy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2021_020821_0740_signed.pdf",
    "date_sunset": null,
    "description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Physical Security: N/A"
    ],
    "fw_versions": null,
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Ubuntu 18.04 OpenSSL Cryptographic Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "2.1",
    "tested_conf": [
      "Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5-2620v3 with PAA",
      "Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5-2620v3 without PAA (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-07-12",
        "lab": "atsec information security corporation",
        "validation_type": "Initial"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-09-21",
        "lab": "atsec information security corporation",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-10-18",
        "lab": "atsec information security corporation",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2022-11-23",
        "lab": "atsec information security corporation",
        "validation_type": "Update"
      }
    ],
    "vendor": "Canonical Ltd.",
    "vendor_url": "http://www.canonical.com"
  }
}